NOTE: This is a whole mod pack, might cause issue when use together with some other mods or in other gamemodes, so recommanded on dedicated servers!

- You will respawn as a random class from droppod
- Your double jump and wallrun is disabled by default( some classes may enable them ), but you can still climb walls
- Enemy npcs are stronger
- Each game has a 50% chance of becoming a night combat

**Use the playlistvar** `aitdm_grunt_mode 1` **to replace Attrition with GruntMode**

**Higher** `earn_meter_titan_multiplier` **is recommanded for npc titans firing core ability**

**Please add** 
`+sv_max_props_multiplayer 500000` 
`+sv_max_prop_data_dwords_multiplayer 800000`
**to startup args, or the game might crash**

Use the function `GruntMode_RegisterPlayerClass( string className, void functionref( entity ) classLoadoutFunction, bool isSpecialist )` to register your own classes

Parameters:

-className: your new class' name, cannot be the same as any other classes

-loadoutFunction: how this class is given weapons. classMods and so on

-isSpecialist: whether killing this class will get extra scores

I recommand copy & paste and use the function `SimpleClassLoadout()` from `_grunt_default_classes.gnut`, you can also learn how to create a class from this file.


Score Events:

Start with player grunts and normal grunts

- 0: Specialist grunts spawning

- 50: Spectres spawning

- 100: Stalkers and Prowlers spawning

- 180: Reapers can launch ticks spawning

- 250: Titans and NPC pilots spawning


Default Player Classes:

- Assault Grunt:        r97, archer and frag

- Heavy Grunt:          spitfire and archer

- Rifleman Grunt:       flatline, archer and frag

- Shotgun Grunt:        eva-8, archer and frag

- Sniper Grunt:         dmr, archer and electric smoke

- Engineer:		        l-star, thunderbolt and satchel, one turret in inventory

- Specialist Grunt:     car, mgl and one drone(15s per respawn), press USE to call your drones

- Shield Captain:       r201, mgl and electric smoke, carrying a mobile particle wall

- Shock Grunt:			volt, thunderbolt and arc grenade, one arc trap in inventory

- Spectre:				mastiff, charge rifle, double jumping

- Sonar Pulser:         alternator, charge rifle and pulse blade

- Jumper:               devotion, mgl, one jumppad usage

- Shifter:              double-take, thunderbolt and arc grenade, one longer phaseshift usage

- Ravenant:			    hemlok, charge rifle and satchel, super wallclimb, faster crouchwalk

- Phase Walker:         r101 and thunderbolt, one portal usage

- Heavy Sniper:         kraber(anti-titan) and electric smoke

- Runner:			    re45 with less damage falloff and mgl, octane stim( longer stim that costs health )

- Path Builder:         r97 and mgl, one zipline gun usage(zipline destroys on death)

- Scout:                g2 and archer, two grapple usage

- Flyer:                flatline and charge rifle, passive jet pack

- Assassin:             silenced wingman elite and charge rifle


**Special Thanks**

Dinorush and Moblin, they allowed me to modify Brute4 and Archon in my own repo!